Page MenuHomePhabricator

[Task] Record base URI for external identifiers in the wb_property_info table
Closed, ResolvedPublic

Description

Properties for external IDs often have a "formatter URL" (P1630) assigned, which can be used to generate a full URI based from ID values. This information could be used in JSON dumps (see T93747) as well as in the U, for generating links to the primary site.

To allow identifying and linking external identifiers efficiently, the base URL should be recorded in the wb_property_info.

Event Timeline

daniel created this task.Apr 7 2015, 1:57 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2015, 1:57 PM
daniel moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher triaged this task as Normal priority.Apr 7 2015, 3:34 PM
Lydia_Pintscher set Security to None.
Jonas renamed this task from Record base URI for external identifiers in the wb_property_info table to [Story] Record base URI for external identifiers in the wb_property_info table.Aug 15 2015, 7:23 PM

Change 235533 had a related patch set uploaded (by Bene):
Create PropertyInfoBuilder

https://gerrit.wikimedia.org/r/235533

Change 235608 had a related patch set uploaded (by Bene):
Add formatterURL to the wb_property_info table

https://gerrit.wikimedia.org/r/235608

Bene renamed this task from [Story] Record base URI for external identifiers in the wb_property_info table to [Task] Record base URI for external identifiers in the wb_property_info table.Sep 3 2015, 7:04 AM

Change 235533 merged by jenkins-bot:
Create PropertyInfoBuilder

https://gerrit.wikimedia.org/r/235533

Bene closed this task as Resolved.Sep 4 2015, 10:25 AM
Bene moved this task from Review to Done on the Wikidata-Sprint-2015-09-01 board.

Change 235608 merged by jenkins-bot:
Add formatterURL to the wb_property_info table

https://gerrit.wikimedia.org/r/235608

Change 236539 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Clean up code around PropertyInfoBuilder

https://gerrit.wikimedia.org/r/236539

Change 236539 merged by jenkins-bot:
Clean up code around PropertyInfoBuilder

https://gerrit.wikimedia.org/r/236539